> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/users/users_groups.md).

# User Groups and Features

User Groups make it easier to onboard new Users and manage system access. Users that belong to a group will inherit any Features that have been enabled for the User Group.

## How-to Video Creating User Groups

{% embed url="<https://youtu.be/gqujtSPeAoo>" %}

## Creating User Groups

User Groups are created and managed by clicking **User Groups** under the **Administration** section of the main CMS menu.

Pre-configured groups are available which have been created to serve common functions within the CMS and have the required **Features** already enabled to allow Users to carry out their role.

* To add a new group, click on the **Add User Group** button and complete the form fields.
* **Save**.

You can easily make a **Copy** of a User Group from the row menu and make changes to the **Feature** access to suit requirements without the need to create a new group from scratch!

## Members

Users are added to a User Group by using the row menu:

* Click **Members**.
* Select which **Users** should belong to the selected User Group.
* **Save**.

## Features

**Features** control what a User can see and do within the CMS, by restricting pages and page functionality. When combined with **Share** options, View, Edit and Delete options for user items such as Folders, Media, Display Groups. These concepts ensure that only the relevant parts of the CMS are visible to Users with the appropriate level of User interaction applied.

* Features are configured from the row menu for a **User** or **User Group** and are grouped into logical tabs.

It is recommended to set the required feature access to user groups and add users to the group to inherit enabled Features for an easier and safer work flow with less room for error. If specific Users require further access then these can be assigned directly to the User.

A `-` indicates that selected Features within that Feature Set have been enabled.

* Use the arrow to expand the Feature Set to see all options available.

A tick indicates that all Features within that set are enabled.

{% hint style="warning" %}
In order for a User to have the ability to Share items with other Users, the option "Allow Sharing capabilities for all User objects" within the User functions subset of User Features needs to be enabled.
{% endhint %}

## Further Reading

{% content-ref url="/pages/Wa4g7h5yxgefT5d9nV8w" %}
[Folders](/configuration-and-organisation/configure_folders.md)
{% endcontent-ref %}

### FAQs

***If a User belongs to the Display Manager User Group why can't they add and authorise new Displays?***

This is deemed a high level Administration function. An Admin can add new Displays to a Folder and give access rights to that Folder for the Display Manager Group to manage.

***Can a User only belong to one User Group?***

Users can be assigned to one or more User Groups for ease of sharing and collaboration.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/users/users_groups.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
